Device Authorization
POST
/oauth/device_authorization
const url = 'https://engine.bindly.insure/oauth/device_authorization';const options = { method: 'POST', headers: {'Content-Type': 'application/x-www-form-urlencoded'}, body: new URLSearchParams({client_id: 'example', scope: 'example'})};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://engine.bindly.insure/oauth/device_authorization \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data client_id=example \ --data scope=examplePublic device-flow start for CLIs/headless clients.
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}